import java.sql.*;

/*------------------------------------------------------------------
 * $RCSFile:$    $Revision: X.X $
 * $Date: 31/01/2008 12:35:39 $
 *
 * $Source: XXXXXX.java,v $
 * Equipo:  UF768214
 * $Log: XXXXX.java,v $
 *------------------------------------------------------------------*/

/**
 * @author UF768214
 *
 */
public class TestResultSetMetadata {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		try {

			Class.forName("com.mysql.jdbc.Driver");
			Connection con=DriverManager.getConnection("jdbc:mysql://localhost:3306/test","","");
			con.setAutoCommit(false);
			Statement stmt=con.createStatement();
			stmt.execute("drop table test_geom2");
			boolean ret=stmt.execute("create table test_geom2(id integer,geom geometry)");
			if(!ret){
				System.out.println("Error create table");
				ret=stmt.execute("insert into test_geom2 values('1',GeomFromText('POINT(622572.881 5156121.034)'))");
				if(!ret){
					System.out.println("Error insert table");
				}
				ResultSet rs=stmt.executeQuery("select * from test_geom2");
				ResultSetMetaData meta=rs.getMetaData();
				for(int i=0;i<meta.getColumnCount();i++){
					int numType=meta.getColumnType(i+1);
					String strType=meta.getColumnTypeName(i+1);
					System.out.println("TYPE "+ strType +" : " + numType);
				}
			}
			
		}catch(ClassNotFoundException e) {
			System.out.println("Error Loading MySQLDriver:"+e.toString());
		} catch (SQLException e) {
			e.printStackTrace();
		}
		
 
	}

}
